Bug 607162 - (FAIL)Testcase : 256969 register to Candlepin, then muck with your identity certs (for fun and profit)
(FAIL)Testcase : 256969 register to Candlepin, then muck with your identity c...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Bryan Kearney
:
Depends On:
Blocks: 568421
  Show dependency treegraph
 
Reported: 2010-06-23 08:24 EDT by spandey
Modified: 2015-04-23 19:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 13:56:21 EDT

  None (edit)
Description spandey 2010-06-23 08:24:14 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

perquisites :
candlepin : cert-fte-candlepin.devlab.redhat.com
client : Rhel 6 with SM version 63 

steps to repro :

1.Register to a Candlepin environment using valid credentials 
2.Append some garbage to one or both of the consumer certfiles: 
dd oflag=append count=100 bs=1 if=/dev/urandom of=/etc/pki/consumer/cert.pem 
dd oflag=append count=100 bs=1 if=/dev/urandom of=/etc/pki/consumer/key.pen 
3.Attempt to access some of the subscription-manager functionality that requires registration (listing available subscriptions, subscribing, etc.) 
Expected Result : 
User told that they must register their system to Candlepin with a properly-localized error message

Actual Result:
[root@sachrhel6 ~]# subscription-manager-cli list --available

140302928897792:error:0906D06C:PEM routines:PEM_read_bio:no start line:pem_lib.c:698:Expecting: CERTIFICATE



[root@sachrhel6 ~]# subscription-manager-cli list

140060373956352:error:0906D06C:PEM routines:PEM_read_bio:no start line:pem_lib.c:698:Expecting: CERTIFICATE
Comment 3 RHEL Product and Program Management 2010-06-23 08:52:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 wes hayutin 2010-07-22 15:01:17 EDT
Suggestion is to catch the error that ssl is exporting, and throw a human readable error.
Comment 5 Ajay Kumar Nadathur Sreenivasan 2010-07-26 11:05:45 EDT
I have added catch blocks to check for the certificate exceptions. If the certificate is not valid, the following message is printed to console. 

Consumer certificates corrupted. Please re-register

git-sha: 14ec170660b2d0429ac16611b856678ccc54d081
Comment 6 wes hayutin 2010-08-09 18:13:45 EDT
[root@client01-rhel6-beta2 src]# ./subscription-manager-cli list --available
Consumer certificates corrupted. Please re-register
[root@client01-rhel6-beta2 src]#
Comment 8 errata-xmlrpc 2011-05-19 09:37:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html

Note You need to log in before you can comment on or make changes to this bug.